Bug 1273209 - python-elasticsearch-2.3.0 is available
python-elasticsearch-2.3.0 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-elasticsearch (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 20:11 EDT by Upstream Release Monitoring
Modified: 2016-06-18 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-elasticsearch-2.3.0-1.fc24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 14:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.1.0 (#1273209) (967 bytes, patch)
2015-10-19 20:12 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.2.0 (#1273209) (1008 bytes, patch)
2016-01-05 07:11 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.54 KB, patch)
2016-03-17 20:18 EDT, Upstream Release Monitoring
no flags Details | Diff
update spec for 2.3.0 (1.00 KB, patch)
2016-03-31 18:11 EDT, Rich Megginson
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-19 20:11:52 EDT
Latest upstream release: 2.1.0
Current version/release in rawhide: 2.0.0-1.fc24
URL: https://github.com/elasticsearch/elasticsearch-py

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-19 20:12:03 EDT
Created attachment 1084558 [details]
[patch] Update to 2.1.0 (#1273209)
Comment 2 Upstream Release Monitoring 2015-10-19 20:18:48 EDT
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11507130
Comment 3 Upstream Release Monitoring 2016-01-05 07:11:33 EST
Latest upstream release: 2.2.0
Current version/release in rawhide: 2.0.0-2.fc24
URL: https://github.com/elasticsearch/elasticsearch-py

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2016-01-05 07:11:43 EST
Created attachment 1111810 [details]
[patch] Update to 2.2.0 (#1273209)
Comment 5 Upstream Release Monitoring 2016-01-05 07:14:29 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12418495
Comment 6 Upstream Release Monitoring 2016-03-17 20:18:00 EDT
Latest upstream release: 2.3.0
Current version/release in rawhide: 2.0.0-3.fc24
URL: https://github.com/elasticsearch/elasticsearch-py

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6335/
Comment 7 Upstream Release Monitoring 2016-03-17 20:18:07 EDT
Patching or scratch build for python-elasticsearch and version 2.0.0 FAILED.
See for details
Comment 8 Upstream Release Monitoring 2016-03-17 20:18:08 EDT
Created attachment 1137620 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 9 Upstream Release Monitoring 2016-03-17 20:18:09 EDT
Patches were not touched. All were applied properly
Comment 10 Rich Megginson 2016-03-18 13:30:47 EDT
I'm not sure why this fails.  I manually followed the steps from https://fedoraproject.org/wiki/Upstream_release_monitoring.  Basically, it boils down to this: https://github.com/fedora-infra/the-new-hotness/blob/develop/hotness/buildsys.py#L83

So I did this:
$ fedpkg co python-elasticsearch
$ cd python-elasticsearch
$ rpmdev-bumpspec --new 2.3.0 -u me python-elasticsearch.spec
$ git diff
diff --git a/python-elasticsearch.spec b/python-elasticsearch.spec
index 7f3c61b..2814f18 100644
--- a/python-elasticsearch.spec
+++ b/python-elasticsearch.spec
@@ -2,8 +2,8 @@
 %bcond_without python3
 
 Name:           python-elasticsearch
-Version:        2.0.0
-Release:        3%{?dist}
+Version:        2.3.0
+Release:        1%{?dist}
 Summary:        Client for Elasticsearch
 
 License:        ASL 2.0
@@ -95,6 +95,9 @@ popd
 %endif
 
 %changelog
+* Fri Mar 18 2016 me - 2.3.0-1
+- new version
+
 * Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0

$ spectool -g python-elasticsearch.spec
Getting https://pypi.python.org/packages/source/e/elasticsearch/elasticsearch-2.3.0.tar.gz to ./elasticsearch-2.3.0.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 58840  100 58840    0     0   142k      0 --:--:-- --:--:-- --:--:--  142k

$ fedpkg srpm
Downloading elasticsearch-2.0.0.tar.gz
######################################################################## 100.0%


Wrote: /home/rmeggins/fedpkg/python-elasticsearch/python-elasticsearch-2.3.0-1.fc25.src.rpm

$ mock -r fedora-23-x86_64 python-elasticsearch-2.3.0-1.fc25.src.rpm
...
+ rm -rf elasticsearch-2.3.0
+ /usr/bin/gzip -dc /builddir/build/SOURCES/elasticsearch-2.3.0.tar.gz
+ /usr/bin/tar -xof -
+ STATUS=0
...
Finish: rpmbuild python-elasticsearch-2.3.0-1.fc25.src.rpm
Finish: build phase for python-elasticsearch-2.3.0-1.fc25.src.rpm
INFO: Done(python-elasticsearch-2.3.0-1.fc25.src.rpm) Config(fedora-23-x86_64) 0 minutes 53 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-23-x86_64/result

How can I see the logs from the failed autobuild?
Comment 11 Rich Megginson 2016-03-31 18:11 EDT
Created attachment 1142380 [details]
update spec for 2.3.0

I would like to get this version into fedora as soon as possible.  What is the procedure?  I've been using 2.3.0 (from pypi) with https://github.com/openshift/origin-aggregated-logging curator for a few weeks now (with elasticsearch 1.5 and elastic-curator 3.5.0) and it is working fine.
Comment 12 Piotr Popieluch 2016-06-09 13:17:09 EDT
sorry for the delay, forgot to add myself watchbugzilla.

Now building for rawhide
Comment 13 Upstream Release Monitoring 2016-06-09 13:17:55 EDT
piotrp's python-elasticsearch-2.3.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=771713
Comment 14 Fedora Update System 2016-06-09 13:29:59 EDT
python-elasticsearch-2.3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-830b0de4a4
Comment 15 Piotr Popieluch 2016-06-09 13:35:52 EDT
rawhide is updated
f24 update is in bodhi

not updating f22, f23, epel as they are on 1.x
1.x is for ES 1
2.x is for ES 2
updating to 2.x would break for ES 1 users.

The version thing is a bit messy, the different python-elasicsearch versions match different ES versions, basically this means there are 4 versions of the library. I don't know if we can support multiple versions, they seem not parallel installable.
Comment 16 Rich Megginson 2016-06-09 16:23:21 EDT
(In reply to Piotr Popieluch from comment #15)
> rawhide is updated
> f24 update is in bodhi
> 
> not updating f22, f23, epel as they are on 1.x
> 1.x is for ES 1
> 2.x is for ES 2
> updating to 2.x would break for ES 1 users.
> 
> The version thing is a bit messy, the different python-elasicsearch versions
> match different ES versions, basically this means there are 4 versions of
> the library.

I'm not sure what you mean by "4 versions of the library".

> I don't know if we can support multiple versions, they seem not
> parallel installable.

Do we need to have two different packages - python-elasticsearch, and python-elasticsearch2?  Does that also mean we need to have two different elasticsearch packages, elasticsearch and elasticsearch2?
Comment 17 Piotr Popieluch 2016-06-10 06:36:20 EDT
(In reply to Rich Megginson from comment #16)
> (In reply to Piotr Popieluch from comment #15)
> > rawhide is updated
> > f24 update is in bodhi
> > 
> > not updating f22, f23, epel as they are on 1.x
> > 1.x is for ES 1
> > 2.x is for ES 2
> > updating to 2.x would break for ES 1 users.
> > 
> > The version thing is a bit messy, the different python-elasicsearch versions
> > match different ES versions, basically this means there are 4 versions of
> > the library.
> 
> I'm not sure what you mean by "4 versions of the library".

https://github.com/elastic/elasticsearch-py#compatibility

The mayor version of the python library must match the elasticsearch version.

We only have elasticsearch 1.x in Fedora, so we already have a mismatch in F24 and Rawhide as the library is on 2.x. 

I assume most users will be using elasticsearch from upstreams repo.


> 
> > I don't know if we can support multiple versions, they seem not
> > parallel installable.
> 
> Do we need to have two different packages - python-elasticsearch, and
> python-elasticsearch2?  Does that also mean we need to have two different
> elasticsearch packages, elasticsearch and elasticsearch2?

I think if we want to do this properly we would need to have three packages. elasticsearch1 to match fedoras ES.
elasticsearch2 I expect most users are on this version now.
elasticsearch to match the latest version 5
I'm not sure if I have time to maintain all this...
Comment 18 Fedora Update System 2016-06-10 14:00:51 EDT
python-elasticsearch-2.3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-830b0de4a4
Comment 19 Upstream Release Monitoring 2016-06-15 14:23:38 EDT
orion's python-elasticsearch-2.3.0-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=773275
Comment 20 Fedora Update System 2016-06-18 14:35:31 EDT
python-elasticsearch-2.3.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.